IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/68
Addresses2^60
/64 networksPart of one
- Network
2001:db8:0:0:5000::/68- First address
2001:db8:0:0:5000::- Last address
2001:db8::5fff:ffff:ffff:ffff- Addresses
- 1,152,921,504,606,846,976 (2^60)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:5000:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
5.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:0:5000::/68 makes 4,096 subnets of /80; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:0:5000::/80 | 2001:db8::5000:ffff:ffff:ffff |
| 2 | 2001:db8:0:0:5001::/80 | 2001:db8::5001:ffff:ffff:ffff |
| 3 | 2001:db8:0:0:5002::/80 | 2001:db8::5002:ffff:ffff:ffff |
| 4 | 2001:db8:0:0:5003::/80 | 2001:db8::5003:ffff:ffff:ffff |
| 5 | 2001:db8:0:0:5004::/80 | 2001:db8::5004:ffff:ffff:ffff |
| 6 | 2001:db8:0:0:5005::/80 | 2001:db8::5005:ffff:ffff:ffff |
| 7 | 2001:db8:0:0:5006::/80 | 2001:db8::5006:ffff:ffff:ffff |
| 8 | 2001:db8:0:0:5007::/80 | 2001:db8::5007:ffff:ffff:ffff |
| 9 | 2001:db8:0:0:5008::/80 | 2001:db8::5008:ffff:ffff:ffff |
| 10 | 2001:db8:0:0:5009::/80 | 2001:db8::5009:ffff:ffff:ffff |
| 11 | 2001:db8:0:0:500a::/80 | 2001:db8::500a:ffff:ffff:ffff |
| 12 | 2001:db8:0:0:500b::/80 | 2001:db8::500b:ffff:ffff:ffff |
| 13 | 2001:db8:0:0:500c::/80 | 2001:db8::500c:ffff:ffff:ffff |
| 14 | 2001:db8:0:0:500d::/80 | 2001:db8::500d:ffff:ffff:ffff |
| 15 | 2001:db8:0:0:500e::/80 | 2001:db8::500e:ffff:ffff:ffff |
| 16 | 2001:db8:0:0:500f::/80 | 2001:db8::500f:ffff:ffff:ffff |
| 17 | 2001:db8:0:0:5010::/80 | 2001:db8::5010:ffff:ffff:ffff |
| 18 | 2001:db8:0:0:5011::/80 | 2001:db8::5011:ffff:ffff:ffff |
| 19 | 2001:db8:0:0:5012::/80 | 2001:db8::5012:ffff:ffff:ffff |
| 20 | 2001:db8:0:0:5013::/80 | 2001:db8::5013:ffff:ffff:ffff |
| 21 | 2001:db8:0:0:5014::/80 | 2001:db8::5014:ffff:ffff:ffff |
| 22 | 2001:db8:0:0:5015::/80 | 2001:db8::5015:ffff:ffff:ffff |
| 23 | 2001:db8:0:0:5016::/80 | 2001:db8::5016:ffff:ffff:ffff |
| 24 | 2001:db8:0:0:5017::/80 | 2001:db8::5017:ffff:ffff:ffff |
| 25 | 2001:db8:0:0:5018::/80 | 2001:db8::5018:ffff:ffff:ffff |
| 26 | 2001:db8:0:0:5019::/80 | 2001:db8::5019:ffff:ffff:ffff |
| 27 | 2001:db8:0:0:501a::/80 | 2001:db8::501a:ffff:ffff:ffff |
| 28 | 2001:db8:0:0:501b::/80 | 2001:db8::501b:ffff:ffff:ffff |
| 29 | 2001:db8:0:0:501c::/80 | 2001:db8::501c:ffff:ffff:ffff |
| 30 | 2001:db8:0:0:501d::/80 | 2001:db8::501d:ffff:ffff:ffff |
| 31 | 2001:db8:0:0:501e::/80 | 2001:db8::501e:ffff:ffff:ffff |
| 32 | 2001:db8:0:0:501f::/80 | 2001:db8::501f:ffff:ffff:ffff |
| 33 | 2001:db8:0:0:5020::/80 | 2001:db8::5020:ffff:ffff:ffff |
| 34 | 2001:db8:0:0:5021::/80 | 2001:db8::5021:ffff:ffff:ffff |
| 35 | 2001:db8:0:0:5022::/80 | 2001:db8::5022:ffff:ffff:ffff |
| 36 | 2001:db8:0:0:5023::/80 | 2001:db8::5023:ffff:ffff:ffff |
| 37 | 2001:db8:0:0:5024::/80 | 2001:db8::5024:ffff:ffff:ffff |
| 38 | 2001:db8:0:0:5025::/80 | 2001:db8::5025:ffff:ffff:ffff |
| 39 | 2001:db8:0:0:5026::/80 | 2001:db8::5026:ffff:ffff:ffff |
| 40 | 2001:db8:0:0:5027::/80 | 2001:db8::5027:ffff:ffff:ffff |
| 41 | 2001:db8:0:0:5028::/80 | 2001:db8::5028:ffff:ffff:ffff |
| 42 | 2001:db8:0:0:5029::/80 | 2001:db8::5029:ffff:ffff:ffff |
| 43 | 2001:db8:0:0:502a::/80 | 2001:db8::502a:ffff:ffff:ffff |
| 44 | 2001:db8:0:0:502b::/80 | 2001:db8::502b:ffff:ffff:ffff |
| 45 | 2001:db8:0:0:502c::/80 | 2001:db8::502c:ffff:ffff:ffff |
| 46 | 2001:db8:0:0:502d::/80 | 2001:db8::502d:ffff:ffff:ffff |
| 47 | 2001:db8:0:0:502e::/80 | 2001:db8::502e:ffff:ffff:ffff |
| 48 | 2001:db8:0:0:502f::/80 | 2001:db8::502f:ffff:ffff:ffff |
| 49 | 2001:db8:0:0:5030::/80 | 2001:db8::5030:ffff:ffff:ffff |
| 50 | 2001:db8:0:0:5031::/80 | 2001:db8::5031:ffff:ffff:ffff |
| 51 | 2001:db8:0:0:5032::/80 | 2001:db8::5032:ffff:ffff:ffff |
| 52 | 2001:db8:0:0:5033::/80 | 2001:db8::5033:ffff:ffff:ffff |
| 53 | 2001:db8:0:0:5034::/80 | 2001:db8::5034:ffff:ffff:ffff |
| 54 | 2001:db8:0:0:5035::/80 | 2001:db8::5035:ffff:ffff:ffff |
| 55 | 2001:db8:0:0:5036::/80 | 2001:db8::5036:ffff:ffff:ffff |
| 56 | 2001:db8:0:0:5037::/80 | 2001:db8::5037:ffff:ffff:ffff |
| 57 | 2001:db8:0:0:5038::/80 | 2001:db8::5038:ffff:ffff:ffff |
| 58 | 2001:db8:0:0:5039::/80 | 2001:db8::5039:ffff:ffff:ffff |
| 59 | 2001:db8:0:0:503a::/80 | 2001:db8::503a:ffff:ffff:ffff |
| 60 | 2001:db8:0:0:503b::/80 | 2001:db8::503b:ffff:ffff:ffff |
| 61 | 2001:db8:0:0:503c::/80 | 2001:db8::503c:ffff:ffff:ffff |
| 62 | 2001:db8:0:0:503d::/80 | 2001:db8::503d:ffff:ffff:ffff |
| 63 | 2001:db8:0:0:503e::/80 | 2001:db8::503e:ffff:ffff:ffff |
| 64 | 2001:db8:0:0:503f::/80 | 2001:db8::503f:ffff:ffff:ffff |
| 65 | 2001:db8:0:0:5040::/80 | 2001:db8::5040:ffff:ffff:ffff |
| 66 | 2001:db8:0:0:5041::/80 | 2001:db8::5041:ffff:ffff:ffff |
| 67 | 2001:db8:0:0:5042::/80 | 2001:db8::5042:ffff:ffff:ffff |
| 68 | 2001:db8:0:0:5043::/80 | 2001:db8::5043:ffff:ffff:ffff |
| 69 | 2001:db8:0:0:5044::/80 | 2001:db8::5044:ffff:ffff:ffff |
| 70 | 2001:db8:0:0:5045::/80 | 2001:db8::5045:ffff:ffff:ffff |
| 71 | 2001:db8:0:0:5046::/80 | 2001:db8::5046:ffff:ffff:ffff |
| 72 | 2001:db8:0:0:5047::/80 | 2001:db8::5047:ffff:ffff:ffff |
| 73 | 2001:db8:0:0:5048::/80 | 2001:db8::5048:ffff:ffff:ffff |
| 74 | 2001:db8:0:0:5049::/80 | 2001:db8::5049:ffff:ffff:ffff |
| 75 | 2001:db8:0:0:504a::/80 | 2001:db8::504a:ffff:ffff:ffff |
| 76 | 2001:db8:0:0:504b::/80 | 2001:db8::504b:ffff:ffff:ffff |
| 77 | 2001:db8:0:0:504c::/80 | 2001:db8::504c:ffff:ffff:ffff |
| 78 | 2001:db8:0:0:504d::/80 | 2001:db8::504d:ffff:ffff:ffff |
| 79 | 2001:db8:0:0:504e::/80 | 2001:db8::504e:ffff:ffff:ffff |
| 80 | 2001:db8:0:0:504f::/80 | 2001:db8::504f:ffff:ffff:ffff |
| 81 | 2001:db8:0:0:5050::/80 | 2001:db8::5050:ffff:ffff:ffff |
| 82 | 2001:db8:0:0:5051::/80 | 2001:db8::5051:ffff:ffff:ffff |
| 83 | 2001:db8:0:0:5052::/80 | 2001:db8::5052:ffff:ffff:ffff |
| 84 | 2001:db8:0:0:5053::/80 | 2001:db8::5053:ffff:ffff:ffff |
| 85 | 2001:db8:0:0:5054::/80 | 2001:db8::5054:ffff:ffff:ffff |
| 86 | 2001:db8:0:0:5055::/80 | 2001:db8::5055:ffff:ffff:ffff |
| 87 | 2001:db8:0:0:5056::/80 | 2001:db8::5056:ffff:ffff:ffff |
| 88 | 2001:db8:0:0:5057::/80 | 2001:db8::5057:ffff:ffff:ffff |
| 89 | 2001:db8:0:0:5058::/80 | 2001:db8::5058:ffff:ffff:ffff |
| 90 | 2001:db8:0:0:5059::/80 | 2001:db8::5059:ffff:ffff:ffff |
| 91 | 2001:db8:0:0:505a::/80 | 2001:db8::505a:ffff:ffff:ffff |
| 92 | 2001:db8:0:0:505b::/80 | 2001:db8::505b:ffff:ffff:ffff |
| 93 | 2001:db8:0:0:505c::/80 | 2001:db8::505c:ffff:ffff:ffff |
| 94 | 2001:db8:0:0:505d::/80 | 2001:db8::505d:ffff:ffff:ffff |
| 95 | 2001:db8:0:0:505e::/80 | 2001:db8::505e:ffff:ffff:ffff |
| 96 | 2001:db8:0:0:505f::/80 | 2001:db8::505f:ffff:ffff:ffff |
| 97 | 2001:db8:0:0:5060::/80 | 2001:db8::5060:ffff:ffff:ffff |
| 98 | 2001:db8:0:0:5061::/80 | 2001:db8::5061:ffff:ffff:ffff |
| 99 | 2001:db8:0:0:5062::/80 | 2001:db8::5062:ffff:ffff:ffff |
| 100 | 2001:db8:0:0:5063::/80 | 2001:db8::5063:ffff:ffff:ffff |
| 101 | 2001:db8:0:0:5064::/80 | 2001:db8::5064:ffff:ffff:ffff |
| 102 | 2001:db8:0:0:5065::/80 | 2001:db8::5065:ffff:ffff:ffff |
| 103 | 2001:db8:0:0:5066::/80 | 2001:db8::5066:ffff:ffff:ffff |
| 104 | 2001:db8:0:0:5067::/80 | 2001:db8::5067:ffff:ffff:ffff |
| 105 | 2001:db8:0:0:5068::/80 | 2001:db8::5068:ffff:ffff:ffff |
| 106 | 2001:db8:0:0:5069::/80 | 2001:db8::5069:ffff:ffff:ffff |
| 107 | 2001:db8:0:0:506a::/80 | 2001:db8::506a:ffff:ffff:ffff |
| 108 | 2001:db8:0:0:506b::/80 | 2001:db8::506b:ffff:ffff:ffff |
| 109 | 2001:db8:0:0:506c::/80 | 2001:db8::506c:ffff:ffff:ffff |
| 110 | 2001:db8:0:0:506d::/80 | 2001:db8::506d:ffff:ffff:ffff |
| 111 | 2001:db8:0:0:506e::/80 | 2001:db8::506e:ffff:ffff:ffff |
| 112 | 2001:db8:0:0:506f::/80 | 2001:db8::506f:ffff:ffff:ffff |
| 113 | 2001:db8:0:0:5070::/80 | 2001:db8::5070:ffff:ffff:ffff |
| 114 | 2001:db8:0:0:5071::/80 | 2001:db8::5071:ffff:ffff:ffff |
| 115 | 2001:db8:0:0:5072::/80 | 2001:db8::5072:ffff:ffff:ffff |
| 116 | 2001:db8:0:0:5073::/80 | 2001:db8::5073:ffff:ffff:ffff |
| 117 | 2001:db8:0:0:5074::/80 | 2001:db8::5074:ffff:ffff:ffff |
| 118 | 2001:db8:0:0:5075::/80 | 2001:db8::5075:ffff:ffff:ffff |
| 119 | 2001:db8:0:0:5076::/80 | 2001:db8::5076:ffff:ffff:ffff |
| 120 | 2001:db8:0:0:5077::/80 | 2001:db8::5077:ffff:ffff:ffff |
| 121 | 2001:db8:0:0:5078::/80 | 2001:db8::5078:ffff:ffff:ffff |
| 122 | 2001:db8:0:0:5079::/80 | 2001:db8::5079:ffff:ffff:ffff |
| 123 | 2001:db8:0:0:507a::/80 | 2001:db8::507a:ffff:ffff:ffff |
| 124 | 2001:db8:0:0:507b::/80 | 2001:db8::507b:ffff:ffff:ffff |
| 125 | 2001:db8:0:0:507c::/80 | 2001:db8::507c:ffff:ffff:ffff |
| 126 | 2001:db8:0:0:507d::/80 | 2001:db8::507d:ffff:ffff:ffff |
| 127 | 2001:db8:0:0:507e::/80 | 2001:db8::507e:ffff:ffff:ffff |
| 128 | 2001:db8:0:0:507f::/80 | 2001:db8::507f:ffff:ffff:ffff |
| 129 | 2001:db8:0:0:5080::/80 | 2001:db8::5080:ffff:ffff:ffff |
| 130 | 2001:db8:0:0:5081::/80 | 2001:db8::5081:ffff:ffff:ffff |
| 131 | 2001:db8:0:0:5082::/80 | 2001:db8::5082:ffff:ffff:ffff |
| 132 | 2001:db8:0:0:5083::/80 | 2001:db8::5083:ffff:ffff:ffff |
| 133 | 2001:db8:0:0:5084::/80 | 2001:db8::5084:ffff:ffff:ffff |
| 134 | 2001:db8:0:0:5085::/80 | 2001:db8::5085:ffff:ffff:ffff |
| 135 | 2001:db8:0:0:5086::/80 | 2001:db8::5086:ffff:ffff:ffff |
| 136 | 2001:db8:0:0:5087::/80 | 2001:db8::5087:ffff:ffff:ffff |
| 137 | 2001:db8:0:0:5088::/80 | 2001:db8::5088:ffff:ffff:ffff |
| 138 | 2001:db8:0:0:5089::/80 | 2001:db8::5089:ffff:ffff:ffff |
| 139 | 2001:db8:0:0:508a::/80 | 2001:db8::508a:ffff:ffff:ffff |
| 140 | 2001:db8:0:0:508b::/80 | 2001:db8::508b:ffff:ffff:ffff |
| 141 | 2001:db8:0:0:508c::/80 | 2001:db8::508c:ffff:ffff:ffff |
| 142 | 2001:db8:0:0:508d::/80 | 2001:db8::508d:ffff:ffff:ffff |
| 143 | 2001:db8:0:0:508e::/80 | 2001:db8::508e:ffff:ffff:ffff |
| 144 | 2001:db8:0:0:508f::/80 | 2001:db8::508f:ffff:ffff:ffff |
| 145 | 2001:db8:0:0:5090::/80 | 2001:db8::5090:ffff:ffff:ffff |
| 146 | 2001:db8:0:0:5091::/80 | 2001:db8::5091:ffff:ffff:ffff |
| 147 | 2001:db8:0:0:5092::/80 | 2001:db8::5092:ffff:ffff:ffff |
| 148 | 2001:db8:0:0:5093::/80 | 2001:db8::5093:ffff:ffff:ffff |
| 149 | 2001:db8:0:0:5094::/80 | 2001:db8::5094:ffff:ffff:ffff |
| 150 | 2001:db8:0:0:5095::/80 | 2001:db8::5095:ffff:ffff:ffff |
| 151 | 2001:db8:0:0:5096::/80 | 2001:db8::5096:ffff:ffff:ffff |
| 152 | 2001:db8:0:0:5097::/80 | 2001:db8::5097:ffff:ffff:ffff |
| 153 | 2001:db8:0:0:5098::/80 | 2001:db8::5098:ffff:ffff:ffff |
| 154 | 2001:db8:0:0:5099::/80 | 2001:db8::5099:ffff:ffff:ffff |
| 155 | 2001:db8:0:0:509a::/80 | 2001:db8::509a:ffff:ffff:ffff |
| 156 | 2001:db8:0:0:509b::/80 | 2001:db8::509b:ffff:ffff:ffff |
| 157 | 2001:db8:0:0:509c::/80 | 2001:db8::509c:ffff:ffff:ffff |
| 158 | 2001:db8:0:0:509d::/80 | 2001:db8::509d:ffff:ffff:ffff |
| 159 | 2001:db8:0:0:509e::/80 | 2001:db8::509e:ffff:ffff:ffff |
| 160 | 2001:db8:0:0:509f::/80 | 2001:db8::509f:ffff:ffff:ffff |
| 161 | 2001:db8:0:0:50a0::/80 | 2001:db8::50a0:ffff:ffff:ffff |
| 162 | 2001:db8:0:0:50a1::/80 | 2001:db8::50a1:ffff:ffff:ffff |
| 163 | 2001:db8:0:0:50a2::/80 | 2001:db8::50a2:ffff:ffff:ffff |
| 164 | 2001:db8:0:0:50a3::/80 | 2001:db8::50a3:ffff:ffff:ffff |
| 165 | 2001:db8:0:0:50a4::/80 | 2001:db8::50a4:ffff:ffff:ffff |
| 166 | 2001:db8:0:0:50a5::/80 | 2001:db8::50a5:ffff:ffff:ffff |
| 167 | 2001:db8:0:0:50a6::/80 | 2001:db8::50a6:ffff:ffff:ffff |
| 168 | 2001:db8:0:0:50a7::/80 | 2001:db8::50a7:ffff:ffff:ffff |
| 169 | 2001:db8:0:0:50a8::/80 | 2001:db8::50a8:ffff:ffff:ffff |
| 170 | 2001:db8:0:0:50a9::/80 | 2001:db8::50a9:ffff:ffff:ffff |
| 171 | 2001:db8:0:0:50aa::/80 | 2001:db8::50aa:ffff:ffff:ffff |
| 172 | 2001:db8:0:0:50ab::/80 | 2001:db8::50ab:ffff:ffff:ffff |
| 173 | 2001:db8:0:0:50ac::/80 | 2001:db8::50ac:ffff:ffff:ffff |
| 174 | 2001:db8:0:0:50ad::/80 | 2001:db8::50ad:ffff:ffff:ffff |
| 175 | 2001:db8:0:0:50ae::/80 | 2001:db8::50ae:ffff:ffff:ffff |
| 176 | 2001:db8:0:0:50af::/80 | 2001:db8::50af:ffff:ffff:ffff |
| 177 | 2001:db8:0:0:50b0::/80 | 2001:db8::50b0:ffff:ffff:ffff |
| 178 | 2001:db8:0:0:50b1::/80 | 2001:db8::50b1:ffff:ffff:ffff |
| 179 | 2001:db8:0:0:50b2::/80 | 2001:db8::50b2:ffff:ffff:ffff |
| 180 | 2001:db8:0:0:50b3::/80 | 2001:db8::50b3:ffff:ffff:ffff |
| 181 | 2001:db8:0:0:50b4::/80 | 2001:db8::50b4:ffff:ffff:ffff |
| 182 | 2001:db8:0:0:50b5::/80 | 2001:db8::50b5:ffff:ffff:ffff |
| 183 | 2001:db8:0:0:50b6::/80 | 2001:db8::50b6:ffff:ffff:ffff |
| 184 | 2001:db8:0:0:50b7::/80 | 2001:db8::50b7:ffff:ffff:ffff |
| 185 | 2001:db8:0:0:50b8::/80 | 2001:db8::50b8:ffff:ffff:ffff |
| 186 | 2001:db8:0:0:50b9::/80 | 2001:db8::50b9:ffff:ffff:ffff |
| 187 | 2001:db8:0:0:50ba::/80 | 2001:db8::50ba:ffff:ffff:ffff |
| 188 | 2001:db8:0:0:50bb::/80 | 2001:db8::50bb:ffff:ffff:ffff |
| 189 | 2001:db8:0:0:50bc::/80 | 2001:db8::50bc:ffff:ffff:ffff |
| 190 | 2001:db8:0:0:50bd::/80 | 2001:db8::50bd:ffff:ffff:ffff |
| 191 | 2001:db8:0:0:50be::/80 | 2001:db8::50be:ffff:ffff:ffff |
| 192 | 2001:db8:0:0:50bf::/80 | 2001:db8::50bf:ffff:ffff:ffff |
| 193 | 2001:db8:0:0:50c0::/80 | 2001:db8::50c0:ffff:ffff:ffff |
| 194 | 2001:db8:0:0:50c1::/80 | 2001:db8::50c1:ffff:ffff:ffff |
| 195 | 2001:db8:0:0:50c2::/80 | 2001:db8::50c2:ffff:ffff:ffff |
| 196 | 2001:db8:0:0:50c3::/80 | 2001:db8::50c3:ffff:ffff:ffff |
| 197 | 2001:db8:0:0:50c4::/80 | 2001:db8::50c4:ffff:ffff:ffff |
| 198 | 2001:db8:0:0:50c5::/80 | 2001:db8::50c5:ffff:ffff:ffff |
| 199 | 2001:db8:0:0:50c6::/80 | 2001:db8::50c6:ffff:ffff:ffff |
| 200 | 2001:db8:0:0:50c7::/80 | 2001:db8::50c7:ffff:ffff:ffff |
| 201 | 2001:db8:0:0:50c8::/80 | 2001:db8::50c8:ffff:ffff:ffff |
| 202 | 2001:db8:0:0:50c9::/80 | 2001:db8::50c9:ffff:ffff:ffff |
| 203 | 2001:db8:0:0:50ca::/80 | 2001:db8::50ca:ffff:ffff:ffff |
| 204 | 2001:db8:0:0:50cb::/80 | 2001:db8::50cb:ffff:ffff:ffff |
| 205 | 2001:db8:0:0:50cc::/80 | 2001:db8::50cc:ffff:ffff:ffff |
| 206 | 2001:db8:0:0:50cd::/80 | 2001:db8::50cd:ffff:ffff:ffff |
| 207 | 2001:db8:0:0:50ce::/80 | 2001:db8::50ce:ffff:ffff:ffff |
| 208 | 2001:db8:0:0:50cf::/80 | 2001:db8::50cf:ffff:ffff:ffff |
| 209 | 2001:db8:0:0:50d0::/80 | 2001:db8::50d0:ffff:ffff:ffff |
| 210 | 2001:db8:0:0:50d1::/80 | 2001:db8::50d1:ffff:ffff:ffff |
| 211 | 2001:db8:0:0:50d2::/80 | 2001:db8::50d2:ffff:ffff:ffff |
| 212 | 2001:db8:0:0:50d3::/80 | 2001:db8::50d3:ffff:ffff:ffff |
| 213 | 2001:db8:0:0:50d4::/80 | 2001:db8::50d4:ffff:ffff:ffff |
| 214 | 2001:db8:0:0:50d5::/80 | 2001:db8::50d5:ffff:ffff:ffff |
| 215 | 2001:db8:0:0:50d6::/80 | 2001:db8::50d6:ffff:ffff:ffff |
| 216 | 2001:db8:0:0:50d7::/80 | 2001:db8::50d7:ffff:ffff:ffff |
| 217 | 2001:db8:0:0:50d8::/80 | 2001:db8::50d8:ffff:ffff:ffff |
| 218 | 2001:db8:0:0:50d9::/80 | 2001:db8::50d9:ffff:ffff:ffff |
| 219 | 2001:db8:0:0:50da::/80 | 2001:db8::50da:ffff:ffff:ffff |
| 220 | 2001:db8:0:0:50db::/80 | 2001:db8::50db:ffff:ffff:ffff |
| 221 | 2001:db8:0:0:50dc::/80 | 2001:db8::50dc:ffff:ffff:ffff |
| 222 | 2001:db8:0:0:50dd::/80 | 2001:db8::50dd:ffff:ffff:ffff |
| 223 | 2001:db8:0:0:50de::/80 | 2001:db8::50de:ffff:ffff:ffff |
| 224 | 2001:db8:0:0:50df::/80 | 2001:db8::50df:ffff:ffff:ffff |
| 225 | 2001:db8:0:0:50e0::/80 | 2001:db8::50e0:ffff:ffff:ffff |
| 226 | 2001:db8:0:0:50e1::/80 | 2001:db8::50e1:ffff:ffff:ffff |
| 227 | 2001:db8:0:0:50e2::/80 | 2001:db8::50e2:ffff:ffff:ffff |
| 228 | 2001:db8:0:0:50e3::/80 | 2001:db8::50e3:ffff:ffff:ffff |
| 229 | 2001:db8:0:0:50e4::/80 | 2001:db8::50e4:ffff:ffff:ffff |
| 230 | 2001:db8:0:0:50e5::/80 | 2001:db8::50e5:ffff:ffff:ffff |
| 231 | 2001:db8:0:0:50e6::/80 | 2001:db8::50e6:ffff:ffff:ffff |
| 232 | 2001:db8:0:0:50e7::/80 | 2001:db8::50e7:ffff:ffff:ffff |
| 233 | 2001:db8:0:0:50e8::/80 | 2001:db8::50e8:ffff:ffff:ffff |
| 234 | 2001:db8:0:0:50e9::/80 | 2001:db8::50e9:ffff:ffff:ffff |
| 235 | 2001:db8:0:0:50ea::/80 | 2001:db8::50ea:ffff:ffff:ffff |
| 236 | 2001:db8:0:0:50eb::/80 | 2001:db8::50eb:ffff:ffff:ffff |
| 237 | 2001:db8:0:0:50ec::/80 | 2001:db8::50ec:ffff:ffff:ffff |
| 238 | 2001:db8:0:0:50ed::/80 | 2001:db8::50ed:ffff:ffff:ffff |
| 239 | 2001:db8:0:0:50ee::/80 | 2001:db8::50ee:ffff:ffff:ffff |
| 240 | 2001:db8:0:0:50ef::/80 | 2001:db8::50ef:ffff:ffff:ffff |
| 241 | 2001:db8:0:0:50f0::/80 | 2001:db8::50f0:ffff:ffff:ffff |
| 242 | 2001:db8:0:0:50f1::/80 | 2001:db8::50f1:ffff:ffff:ffff |
| 243 | 2001:db8:0:0:50f2::/80 | 2001:db8::50f2:ffff:ffff:ffff |
| 244 | 2001:db8:0:0:50f3::/80 | 2001:db8::50f3:ffff:ffff:ffff |
| 245 | 2001:db8:0:0:50f4::/80 | 2001:db8::50f4:ffff:ffff:ffff |
| 246 | 2001:db8:0:0:50f5::/80 | 2001:db8::50f5:ffff:ffff:ffff |
| 247 | 2001:db8:0:0:50f6::/80 | 2001:db8::50f6:ffff:ffff:ffff |
| 248 | 2001:db8:0:0:50f7::/80 | 2001:db8::50f7:ffff:ffff:ffff |
| 249 | 2001:db8:0:0:50f8::/80 | 2001:db8::50f8:ffff:ffff:ffff |
| 250 | 2001:db8:0:0:50f9::/80 | 2001:db8::50f9:ffff:ffff:ffff |
| 251 | 2001:db8:0:0:50fa::/80 | 2001:db8::50fa:ffff:ffff:ffff |
| 252 | 2001:db8:0:0:50fb::/80 | 2001:db8::50fb:ffff:ffff:ffff |
| 253 | 2001:db8:0:0:50fc::/80 | 2001:db8::50fc:ffff:ffff:ffff |
| 254 | 2001:db8:0:0:50fd::/80 | 2001:db8::50fd:ffff:ffff:ffff |
| 255 | 2001:db8:0:0:50fe::/80 | 2001:db8::50fe:ffff:ffff:ffff |
| 256 | 2001:db8:0:0:50ff::/80 | 2001:db8::50ff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |